Imports System.Web.Http
Imports System.Web.Mvc

Namespace GovDataAPI.Areas.HelpPage
	Public Class HelpPageAreaRegistration
		Inherits AreaRegistration
		Public Overrides ReadOnly Property AreaName() As String
			Get
				Return "HelpPage"
			End Get
		End Property

		Public Overrides Sub RegisterArea(ByVal context As AreaRegistrationContext)
			context.MapRoute("HelpPage_Default", "Help/{action}/{apiId}", New With {Key .controller = "Help", Key .action = "Index", Key .apiId = UrlParameter.Optional})

			HelpPageConfig.Register(GlobalConfiguration.Configuration)
		End Sub
	End Class
End Namespace