﻿Imports GovDataVisApp.ViewModels
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports Windows.UI.Xaml
Imports Windows.UI.Xaml.Data

Namespace GovDataVisApp.Converters
	Public Class NoResultsFoundConverter
		Implements IValueConverter
		Private _mapSearch As MapSearchViewModel = Nothing

		Public Sub New()
			Dim _mapSearch As MapSearchViewModel = App.MapSearch
		End Sub

		Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal language As String) As Object
		   Return ((Not Me.MapSearch.IsWorking) AndAlso Me.MapSearch.QueryComplete AndAlso Me.MapSearch.SearchResults.Count = 0)
		End Function

		Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal language As String) As Object
			Throw New NotImplementedException()
		End Function

		Public ReadOnly Property MapSearch() As MapSearchViewModel
			Get
				If Me._mapSearch Is Nothing Then
					Me._mapSearch = App.MapSearch
				End If
				Return Me._mapSearch
			End Get
		End Property
	End Class
End Namespace
