﻿Imports System.ComponentModel
Imports System.Linq
Imports System.Runtime.CompilerServices
Imports System.Text
Imports System.Threading.Tasks

Namespace GovDataVisApp.Models
	Public Class MapSearchResult
		Implements INotifyPropertyChanged
		Private _title As String
		Public Property Title() As String
			Get
				Return Me._title
			End Get
			Set(ByVal value As String)
				Me._title = value
				Me.NotifyPropertyChanged()
			End Set
		End Property

		Private _description As String
		Public Property Description() As String
			Get
				Return Me._description
			End Get
			Set(ByVal value As String)
				Me._description = value
				Me.NotifyPropertyChanged()
			End Set
		End Property

		Private _latitude As Double
		Public Property Latitude() As Double
			Get
				Return Me._latitude
			End Get
			Set(ByVal value As Double)
				Me._latitude = value
				Me.NotifyPropertyChanged()
			End Set
		End Property

		Private _longitude As Double
		Public Property Longitude() As Double
			Get
				Return Me._longitude
			End Get
			Set(ByVal value As Double)
				Me._longitude = value
				Me.NotifyPropertyChanged()
			End Set
		End Property

		' pulled from the msdn wp8 twitter sample: http://code.msdn.microsoft.com/wpapps/TwitterSearch-Windows-b7fc4e5e
		Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
		Private Sub NotifyPropertyChanged(Optional <CallerMemberName> ByVal propertyName As String = "")
			Dim handler As PropertyChangedEventHandler = PropertyChanged
			If Nothing IsNot handler Then
				handler(Me, New PropertyChangedEventArgs(propertyName))
			End If
		End Sub
	End Class
End Namespace
