﻿Namespace GovDataAPI.Models
	Public Class SearchResult
		Public Sub New()
		End Sub

		Public Sub New(ByVal item As Item)
			Me.SetValues(item)
		End Sub

		Public Sub SetValues(ByVal item As Item)
			Me.Id = item.Id
			Me.Title = item.Title
			Me.Description = item.Description
			Me.Source = item.Source.Title
			Me.SourceId = item.SourceId
			Me.Latitude = CDbl(item.Location.Latitude)
			Me.Longitude = CDbl(item.Location.Longitude)
			Me.Location = item.Location
		End Sub

		Public Property Id() As Integer
		Public Property Title() As String
		Public Property Description() As String
        Public Property Location() As System.Data.Spatial.DbGeography
        Public Property Latitude() As Double
		Public Property Longitude() As Double
		Public Property Source() As String
		Public Property SourceId() As Integer
	End Class
End Namespace