﻿Imports GovDataVisApp.ViewModels
Imports System.IO
Imports System.Linq
Imports Windows.Foundation
Imports Windows.Foundation.Collections
Imports Windows.UI.Xaml
Imports Windows.UI.Xaml.Controls
Imports Windows.UI.Xaml.Controls.Primitives
Imports Windows.UI.Xaml.Data
Imports Windows.UI.Xaml.Input
Imports Windows.UI.Xaml.Media
Imports Windows.UI.Xaml.Navigation

' The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

Namespace GovDataVisApp.Views
	Public NotInheritable Partial Class ItemDetails
		Inherits UserControl
		Public Sub New()
			Me.DataContext = App.MapSearch
			Me.InitializeComponent()
		End Sub

		Private ReadOnly Property _viewModel() As MapSearchViewModel
			Get
				Return TryCast(Me.DataContext, MapSearchViewModel)
			End Get
		End Property

		Private Sub itemDetails_Tapped(ByVal sender As Object, ByVal e As TappedRoutedEventArgs)
			Dim parent As Popup = CType(Me.Parent, Popup)
			If parent.IsOpen Then
				parent.IsOpen = False
			End If
		End Sub
	End Class
End Namespace
